Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.foundation
Class StateImpl

    java.lang.Object
      com.beasys.commerce.foundation.BelongingImpl
          com.beasys.commerce.foundation.StateImpl

All Implemented Interfaces
  Belonging, BusinessSmartComponent, RelationalReference, State, Serializable, Cloneable, Comparable

Deprecated

    @Deprecated
    public class StateImpl

extends BelongingImpl
implements State

Represents a discrete state in a state machine or workflow. It is contained by a `StateMachine` and refered to by `Transitions`

See Also
  `State`, `StateHome`, Serialized Form

Field Summary
`String` | `name` Deprecated A name that identifies the state uniquely within the context of a state machine.

Fields inherited from class com.beasys.commerce.foundation.BelongingImpl
`__classIdentifier, __containingBelonging, __containingEntity, __mapKey, __sequenceNumber, _isDirty`

Constructor Summary
`StateImpl()` Deprecated

Method Summary
`int` | `compareTo(Object o)` Deprecated Compares a given object with this Belonging.
`void` | `enter(Transition trans)` Deprecated This method is invoked whenever the state is entered.
`void` | `error(Transition trans)` Deprecated This method is invoked whenever the state is transitioned from in erro.
`void` | `exit(Transition trans)` Deprecated This method is invoked whenever the state is transitioned from.
`TransitionPolicy` | `getEnterPolicy()` Deprecated Get the transition policy that is invoked when the state is entered.
`TransitionPolicy` | `getErrorPolicy()` Deprecated Set the transition policy that is invoked when the state is exited with an invalid transition.
`TransitionPolicy` | `getExitPolicy()` Deprecated Get the transition policy that is invoked when the state is exited.
`String` | `getName()` Deprecated Get the value of name
`String` | `interfaceName()` Deprecated Returns the unqualified name of the interface as specified in the UML model.
`void` | `setByValue(Belonging value)` Deprecated Intializes the `Belonging` based upon a supplied `Belonging`.
`void` | `setEnterPolicy(TransitionPolicy policy)` Deprecated Set a transition policy that is invoked when the state is entered.
`void` | `setErrorPolicy(TransitionPolicy policy)` Deprecated Set a transition policy that is invoked when the state is exited with an invalid transition.
`void` | `setExitPolicy(TransitionPolicy policy)` Deprecated Set a transition policy that is invoked when the state is exited.
`void` | `setName(String name)` Deprecated Set the value of name
`Belonging` | `value()` Deprecated Returns a type safe shallow copy of the Belonging instance.

Methods inherited from class com.beasys.commerce.foundation.BelongingImpl
`clearRelationalBinding, clearRelationalBinding, clearRelationalBinding, clearRelationalBinding, clone, doRelationalBinding, doRelationalBinding, doRelationalBindingOnElement, doRelationalBindingOnElement, doRelationalBindingOnElement, doRelationalBindingOnSingleton, doRelationalBindingOnSingleton, doRelationalBindingOnSingleton, doRelationalBindingWithMapKey, doRelationalBindingWithMapKey, doRelationalBindingWithMapKey, enumerateRelationalBinding, enumerateRelationalBinding, equals, get__classIdentifier, get__containingBelonging, get__containingEntity, get__containingEntityReference, get__mapKey, get__sequenceNumber, getPersistenceHelperPlugin, hashCode, set__classIdentifier, set__containingBelonging, set__containingEntity, set__containingEntityReference, set__mapKey, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.beasys.commerce.foundation.Belonging
`clone, equals`

Field Detail

### name

    public String name

  Deprecated
  A name that identifies the state uniquely within the context of a state machine.

                        name
       [State] <*>------> [java.lang.String]

Constructor Detail

### StateImpl

    public StateImpl()

  Deprecated

Method Detail

### getName

    public String getName()

  Deprecated
  Get the value of name

  Specified by:
    `getName` in interface `State`
  Returns
    name.

### setName

    public void setName(String name)

  Deprecated
  Set the value of name

  Specified by:
    `setName` in interface `State`
  Parameters
    `name` - name to be added

### value

    public Belonging value()

  Deprecated
  Description copied from interface: `Belonging`
  Returns a type safe shallow copy of the Belonging instance.

  Specified by:
    `value` in interface `Belonging`
  Returns
    A type safe shallow copy of this Belonging.

### interfaceName

    public String interfaceName()

  Deprecated
  Description copied from interface: `Belonging`
  Returns the unqualified name of the interface as specified in the UML model.

  Specified by:
    `interfaceName` in interface `Belonging`
  Returns
    The unqualified name of the belonging interface.

### setByValue

    public void setByValue(Belonging value)

  Deprecated
  Description copied from class: `BelongingImpl`
  Intializes the `Belonging` based upon a supplied `Belonging`.

  Specified by:
    `setByValue` in interface `Belonging`
  Overrides:
    `setByValue` in class `BelongingImpl`
  Parameters
    `value` - The `Belonging` to use for initialization.

### compareTo

    public int compareTo(Object o)

  Deprecated
  Description copied from class: `BelongingImpl`
  Compares a given object with this Belonging.

  Specified by:
    `compareTo` in interface `Comparable`
  Specified by:
    `compareTo` in class `BelongingImpl`
  Parameters
    `o` - the Object to be compared.
  Returns
    a negative integer, zero, or a positive integer as this object is less than, equal to, or greater than the specified object.

### enter

    public void enter(Transition trans)

  Deprecated
  This method is invoked whenever the state is entered. It searches for an enter policy and invokes it.

  Specified by:
    `enter` in interface `State`

### exit

    public void exit(Transition trans)

  Deprecated
  This method is invoked whenever the state is transitioned from. It searches for an Exit Policy and invokes it if present.

  Specified by:
    `exit` in interface `State`

### error

    public void error(Transition trans)

  Deprecated
  This method is invoked whenever the state is transitioned from in erro. It searches for an Error Policy and invokes it if present

  Specified by:
    `error` in interface `State`

### setEnterPolicy

    public void setEnterPolicy(TransitionPolicy policy)

  Deprecated
  Set a transition policy that is invoked when the state is entered.

  Specified by:
    `setEnterPolicy` in interface `State`

### getEnterPolicy

    public TransitionPolicy getEnterPolicy()

  Deprecated
  Get the transition policy that is invoked when the state is entered.

  Specified by:
    `getEnterPolicy` in interface `State`

### setExitPolicy

    public void setExitPolicy(TransitionPolicy policy)

  Deprecated
  Set a transition policy that is invoked when the state is exited.

  Specified by:
    `setExitPolicy` in interface `State`

### getExitPolicy

    public TransitionPolicy getExitPolicy()

  Deprecated
  Get the transition policy that is invoked when the state is exited.

  Specified by:
    `getExitPolicy` in interface `State`

### setErrorPolicy

    public void setErrorPolicy(TransitionPolicy policy)

  Deprecated
  Set a transition policy that is invoked when the state is exited with an invalid transition.

  Specified by:
    `setErrorPolicy` in interface `State`

### getErrorPolicy

    public TransitionPolicy getErrorPolicy()

  Deprecated
  Set the transition policy that is invoked when the state is exited with an invalid transition.

  Specified by:
    `getErrorPolicy` in interface `State`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.